<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="../css/bootstrap.min.css"/>
    <script src="../js/bootstrap.min.js"></script>
    <title>Position</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>
<body>
<div class="container">

    <canvas id="myCanvas" width="200" height="200" style="border:1px solid #000000;"></canvas>

    <form action ="${pageContext.request.contextPath}/position" method="POST">
        <br/>
        <button id="buttonMeasure" type="submit" class="btn btn-primary  btn-md">Measure</button>
    </form>

    <SCRIPT LANGUAGE="JavaScript">

        var canvas = document.getElementById('myCanvas');
        var context = canvas.getContext('2d');

        var rdc = new Image();
        rdc.src = "./fonts/H_RDC.png"
        rdc.onload = function(){
            context.drawImage(rdc, 0, 0, canvas.width, canvas.height);
        }

        <%  int xPos = 50;
            if(request.getAttribute("xLoc") != null){
                xPos = (int)request.getAttribute("xLoc");
            }

            int yPos = 50;
            if(request.getAttribute("yPos") != null){
                yPos = (int)request.getAttribute("yPos");
            }
         %>


        document.getElementById("buttonMeasure").addEventListener("click", function(){
            drawPosition(canvas, <%=xPos%>,<%=yPos%>);
        });

        function drawPosition(x, y) {
            context.fillRect(x,y,3,3);
        }
    </SCRIPT>
</div>
</body>
</html>
